body {
	background-color: #100F0F;
	font-family: 'Press Start 2P', cursive;
	padding: 0;
}

:forcus {
	outline: none!important;
	border: 1px #FFC75F solid;
}

.this_container {
	display: flex;
}

.left, .right {
	width: 50%;
}

.right {
	display: flex;
	flex-direction: column;
	text-align: center;
	padding: 0 15px;
	justify-content: center;
}

.right h1 {
	font-weight: 700;
	color: #FFC75F;
	-webkit-text-stroke-width: .05px;
	-webkit-text-stroke-color: white;
}

.maze_container {
	height: 100vh;
	width: 100%;
	display: flex;
	flex-direction: column;
}

.row {
	width: 100%;
	height: 9.6vh!important;
	display: flex;
}

.node {
	width: 100%;
	height: 100%;
	border: 3px #FFC75F solid;
	transition: transform .2s;
}

.node:hover {
	-ms-transform: scale(1.05); /* IE 9*/
	-webkit-transform: scale(1.05); /* IE 9*/
	transform: scale(1.05); /* IE 9*/
	background-color: white!important;
}

.node1:hover, .node100:hover  {
	-ms-transform: scale(1.05); /* IE 9*/
	-webkit-transform: scale(1.05); /* IE 9*/
	transform: scale(1.05); /* IE 9*/
	background-color: white!important;
}

.node1 {
	background-color: #0ae318;
}

.node1:hover {
	background-color: #0ae318!important;
}

.node100 {
	background-color: #FF2525;
}

.node100:hover {
	background-color: #FF2525!important;
}

.buttons {
	padding: 5px 30px;
	border-radius: 5px;
	border: 2px #FFC75F solid;
	background-color: #100F0F;
	font-size: 1.25rem;
	transition: transform .2s;
	margin: .5rem 1%;
	color: white;
	font-family: 'Press Start 2P', cursive;
	cursor: pointer;
	letter-spacing: 2px;
	transition: background-color .2s;
}

.solve:hover {
	background-color: #0ae318;
	color: #100F0F;
}

.reset:hover {
	background-color: #FF2525;
	color: #100F0F;
}

.genBtn:hover {
	background-color: #FFC75F;
	color: #100F0F;
}

/* Portrait */
@media screen 
  and (max-width: 320px) 
  {

  	body {
  		padding: 15px!important;
  		overflow-x: hidden;
  	}

  	.this_container {
  		flex-direction: column!important;
  	}

  	.left, .right {
	width: 100%!important;
	}

	.right {
		padding: 0;
	}

	.right h1 {
		font-size: 1.25rem;
		padding-top: .5rem;
		-webkit-text-stroke-color: #FFC75F;
	}

	.row {
		height: 5.5vh!important;
	}

	.buttons {
		padding: 10px 18px;
		font-size: .9rem;
	}
}

@media screen 
  and (max-width: 360px) 
  {

  	body {
  		padding: 15px!important;
  		overflow-x: hidden;
  	}

  	.this_container {
  		flex-direction: column!important;
  	}

  	.left, .right {
	width: 100%!important;
	}

	.right {
		padding: 0;
	}

	.right h1 {
		font-size: 1.25rem;
		padding-top: .5rem;
		-webkit-text-stroke-color: #FFC75F;
	}

	.row {
		height: 5.5vh!important;
	}

	.buttons {
		padding: 10px 18px;
		font-size: .9rem;
	}
}


@media screen 
  and (max-width: 425px) 
  {

  	body {
  		padding: 15px!important;
  		overflow-x: hidden;
  	}

  	.this_container {
  		flex-direction: column!important;
  	}

  	.left, .right {
	width: 100%!important;
	}

	.right {
		padding: 0;
	}

	.right h1 {
		font-size: 1.25rem;
		padding-top: .5rem;
		-webkit-text-stroke-color: #FFC75F;
	}

	.row {
		height: 5.5vh!important;
	}

	.buttons {
		padding: 10px 18px;
		font-size: .9rem;
	}
}